package de.renew.fa.gui;

import de.renew.faformalism.util.FAAutomatonModelEnum;

public class FASimulationSettingsDelegator implements FASimulationSettingsInterface {

    private FASimulationSettingsGui _gui;

    public FASimulationSettingsDelegator() {
        _gui = new FASimulationSettingsGui();
    }

    @Override
    public FAAutomatonModelEnum getSelectedAutomatonType() {
        return _gui.getSelectedAutomatonType();
    }

    @Override
    public boolean simulateWordMode() {
        return _gui.simulateWordMode();
    }

    @Override
    public void showGui() {
        _gui.showGui();
    }

    @Override
    public void cleanup() {
        if (_gui == null)
            return;
        _gui.cleanup();
        _gui = null;
    }
}
